QB_ARRAY_GROW(3)

NAME
qb_array_grow - Grow the array.

SYNOPSIS
#include <qb/qbarray.h>

int32_t qb_array_grow(
    qb_array_t   *a,             /* array instance */
    size_t        max_elements   /* the new maximum size of the array */
);

PARAMS
a array instance

max_elements the new maximum size of the array

DESCRIPTION

RETURN VALUE

(0 == success, else -errno)

SEE ALSO

qb_array_elems_per_bin_get(3), qb_array_new_bin_cb_set(3), qb_array_create(3), qb_array_num_bins_get(3), qb_array_index(3), qb_array_create_2(3), qb_array_free(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.